org.richfaces.renderkit.html

## Class AjaxFunctionRenderer

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.richfaces.renderkit.RendererBase
    - - org.richfaces.renderkit.AjaxCommandRendererBase
      - - org.richfaces.renderkit.AjaxFunctionRendererBase
        - - org.richfaces.renderkit.html.AjaxFunctionRenderer

-     public class AjaxFunctionRenderer
      extends AjaxFunctionRendererBase

- - ### Field Summary

    - ### Fields inherited from class javax.faces.render.Renderer

      `PASSTHROUGH_RENDERER_LOCALNAME_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AjaxFunctionRenderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doEncodeEnd(javax.faces.context.ResponseWriter responseWriter, javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)` Template method for custom finish encoding of concrete renderer.

    - ### Methods inherited from class org.richfaces.renderkit.AjaxFunctionRendererBase

      `getFunction`

    - ### Methods inherited from class org.richfaces.renderkit.AjaxCommandRendererBase

      `doDecode, getOnClick, isSubmitted, queueComponentEventForBehaviorEvent`

    - ### Methods inherited from class org.richfaces.renderkit.RendererBase

      `concatClasses, concatStyles, decode, doEncodeBegin, doEncodeChildren, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getResourcePath, getSkin, getUtils, isAlreadyRendered, preDecode, preEncodeBegin, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue, getRendersChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AjaxFunctionRenderer

          public AjaxFunctionRenderer()

  - ### Method Detail

    - #### doEncodeEnd

          public void doEncodeEnd(javax.faces.context.ResponseWriter responseWriter,
                         javax.faces.context.FacesContext facesContext,
                         javax.faces.component.UIComponent component)
                           throws IOException

      Description copied from class: `RendererBase`
      Template method for custom finish encoding of concrete renderer. All parameters checking and writer is performed in original `RendererBase.encodeEnd(FacesContext, UIComponent)` method.
      Overrides:
        `doEncodeEnd` in class `RendererBase`
      Throws:
        `IOException`

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.